@echo off
:: Download 7z1805-extra.7z from https://www.7-zip.org/download.html
:: (Newer versions should also work)
:: Extract 7za.exe into this directory, if you don't have it in %PATH% already

:: Download 7z920_extra.7z from https://www.7-zip.org/download.html
:: (Newer versions might not contain the required files)
:: Extract 7zS2.sfx into this directory

:: Instructions: https://superuser.com/a/923281
:: For smaller or non-elevated packages: https://superuser.com/a/1359143

for /d %%a in ("*") do set output=%%a
echo Source directory: %output%
echo.
echo ----- Compressing source files -----
del %output%.7z 2>nul
7za a -mx %output%.7z .\%output%\* || goto error

echo.
echo ----- Building SFX package -----
copy /b 7zS2.sfx + %output%.7z %output%.exe || goto error
del %output%.7z 2>nul

echo.
echo ===== Finished =====
timeout /t 2 /nobreak >nul
exit /b

:error
echo.
echo ERROR: Check messages above.
timeout /t 6 /nobreak >nul
exit /b 1
